Package com.sap.ai.sdk.prompt.registry.model

# Enum Class DataRepositoryType

java.lang.Object
java.lang.Enum<DataRepositoryType>
com.sap.ai.sdk.prompt.registry.model.DataRepositoryType

All Implemented Interfaces:
  `Serializable`, `Comparable<DataRepositoryType>`, `Constable`

public enum DataRepositoryType extends Enum<DataRepositoryType>
Only include DataRepositories with the given type.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `HELP_SAP_COM`
  `UNKNOWN_DEFAULT_OPEN_API`
  `VECTOR`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DataRepositoryType`
  `fromValue(String value)`
  Converts the given value to its enum representation.
  `String`
  `getValue()`
  `String`
  `toString()`
  `static DataRepositoryType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DataRepositoryType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VECTOR

    public static final DataRepositoryType VECTOR

  - ### HELP_SAP_COM

    public static final DataRepositoryType HELP_SAP_COM

  - ### UNKNOWN_DEFAULT_OPEN_API

    public static final DataRepositoryType UNKNOWN_DEFAULT_OPEN_API

- ## Method Details

  - ### values

    public static DataRepositoryType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DataRepositoryType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Returns:
      The enum value.

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Enum<DataRepositoryType>`
    Returns:
      The String representation of the enum value.

  - ### fromValue

    public static DataRepositoryType fromValue(@Nonnull String value)
    Converts the given value to its enum representation.
    Parameters:
      `value` - The input value.
    Returns:
      The enum representation of the given value.